petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectRegisterDestroyAll

Frees all the PETSc objects that have been registered with PetscObjectRegisterDestroy(). Called by PetscFinalize()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectRegisterDestroyAll(void)

Logically Collective on individual PetscObjects

### See Also

PetscObjectRegisterDestroy()

Level:developer
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages